## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASESchema

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Schema, SQLObject

All Known Implementing Classes:
  SybaseASECatalogSchema, SybaseASESchemaImpl

    public interface SybaseASESchema

extends Schema, SQLObject

A representation of the model object 'Sybase ASE Schema'.

The following features are supported:

- `Defaults`
- `Rules`
- `Encryption Keys`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASESchema()`

Method Summary
`org.eclipse.emf.common.util.EList` `getDefaults()` Returns the value of the 'Defaults' reference list.
`org.eclipse.emf.common.util.EList` `getEncryptionKeys()` Returns the value of the 'Encryption Keys' reference list.
`java.util.List` `getNormalTables()`
`java.util.List` `getProxyTables()`
`org.eclipse.emf.common.util.EList` `getRules()` Returns the value of the 'Rules' reference list.
`java.util.List` `getSystemAndNormalTable()`
`java.util.List` `getSystemProcedures()`
`java.util.List` `getSystemTables()`
`java.util.List` `getViewTables()`
`java.util.List` `getWebServicesAsTables()`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Schema
`getAssertions, getBuiltInFunctions, getCatalog, getCharSets, getDatabase, getIndices, getOwner, getProcedures, getRoutines, getSequences, getTables, getTriggers, getUDFs, getUserDefinedTypes, setCatalog, setDatabase, setOwner`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDefaults

    org.eclipse.emf.common.util.EList getDefaults()

  Returns the value of the 'Defaults' reference list. The list contents are of type `SybaseASEDefault`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Defaults' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Defaults' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASESchema_Defaults()`, `SybaseASEDefault.getSchema()`

### getRules

    org.eclipse.emf.common.util.EList getRules()

  Returns the value of the 'Rules' reference list. The list contents are of type `SybaseASERule`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Rules' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Rules' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASESchema_Rules()`, `SybaseASERule.getSchema()`

### getEncryptionKeys

    org.eclipse.emf.common.util.EList getEncryptionKeys()

  Returns the value of the 'Encryption Keys' reference list. The list contents are of type `SybaseASEEncryptionKey`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Encryption Keys' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encryption Keys' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASESchema_EncryptionKeys()`, `SybaseASEEncryptionKey.getSchema()`

### getWebServicesAsTables

    java.util.List getWebServicesAsTables()

### getNormalTables

    java.util.List getNormalTables()

### getProxyTables

    java.util.List getProxyTables()

### getViewTables

    java.util.List getViewTables()

### getSystemProcedures

    java.util.List getSystemProcedures()

### getSystemTables

    java.util.List getSystemTables()

### getSystemAndNormalTable

    java.util.List getSystemAndNormalTable()